package com.mjitech.qa.data;

import org.testng.annotations.DataProvider;

public class MicroMedineceData {
	/**
	 * 下单接口数据
	 */
	@DataProvider(name = "add_orderAction")
	public static Object[][] add_orderAction() {
		return new Object[][] {
				// {warehouseId,tokenId,double price,int skuCount,int setSkuId}
			//	{ 39, "wy", 0.01, 1, 103 }
			{39,"wy019"},
//			{39,"。。。"},
//			{100,"wy"}
		};
	}

	/**
	 * 支付接口数据
	 */
	@DataProvider(name = "pay_successAction")
	public static Object[][] pay_successAction() {
		return new Object[][] {
				// {"orderNumber"}
				{ "S6845845536" } };
	}

	/**
	 * 获取订单的订单状态及实际出货信息数据
	 */
	@DataProvider(name = "get_out_batchAction")
	public static Object[][] get_out_batchAction() {
		return new Object[][] {
				// {"warehouseId","orderNumber"}
				// 成功的情况：{"meta":{"code":"200","message":"成功","success":true},"data":{"outBatchSkuList":[{"id":112383,"begin":0,"perpage":0,"sort":null,"sortDir":null,"creator":0,"updator":0,"createDatetime":1582194369000,"updateDatetime":1582194390000,"deleteMark":0,"sellOrderId":84720,"sellOrderSkuId":123343,"sellOrder":null,"outBatchId":69655,"originalBatchSkuId":0,"skuId":2243,"count":1,"outStatus":3,"outStatusDesc":"已出货","sellOrderSku":null,"skuPassEntityId":104223,"skuPassVo":null,"sku":null,"allOriginalOutBatchSkus":null,"exchangedSellOrderId":0,"realPrice":0,"isPresent":0,"activityType":"","activityId":0}],"orderStatus":"已取货"}}
				{ 39, "S5240727359" }
	   };
	}

	/**
	 * 取消订单（ 取消恢复可售，订单状态变为已取消）
	 */
	@DataProvider(name = "cancel_orderAction")
	public static Object[][] cancel_orderAction() {
		return new Object[][] {
				// {"warehouseId","orderNumber"}
				// 正向功能，订单状态OK情况：{"meta":{"code":"200","message":"成功","success":true},"data":true}
				// {39,"S9070546349"}
				// 订单状态不正确：{"meta":{"code":"200","message":"订单状态错误,不能取消订单","success":false},"data":null}
				{39,"S9912460506"}
	   };
	}

	/**
	 * 获取门店补货明细接口
	 */
	@DataProvider(name = "get_finish_addrAction")
	public static Object[][] get_finish_addrAction() {
		return new Object[][] {
				// {warehouseId,"fromDate","toDate"}
				{ 39, "2020-04-28", "2020-04-28" } };
	}

	/**
	 * 获取当前门店商品库存信息
	 */
	@DataProvider(name = "get_inventoryAction")
	public static Object[][] get_inventoryAction() {
		return new Object[][] {
				// {warehouseId,skuId}
				{ 39, 2068 } };
	}

	/**
	 * 获取门店补货请求接口（未处理状态下）
	 */
	@DataProvider(name = "get_request_data")
	public static Object[][] get_request_data() {
		return new Object[][] {
				// {warehouseIds}
				{ new int[] { 39 } } };
	}

	/**
	 * 保存分拣单
	 */
	@DataProvider(name = "save_picking_dataAction")
	public static Object[][] save_picking_dataAction() {
		return new Object[][] {
				// {requestId,skuId,requestQuantity,lotDate,deliveryId}
				// {53757,815,2,"2020-04-22","D00200417172550"}
				// 接口正向返回{"meta":{"code":"200","message":"成功","success":true},"data":true}
				{ 52523, 2236, 1, "2020-04-30", "D00200417172553" } };
	}

	/**
	 * 药品批次核对查看
	 */
	@DataProvider(name = "check_batch_viewAction")
	public static Object[][] check_batch_viewAction() {
		return new Object[][] {
				// {"orderNumber","batchId"}
				{ "S5240727359", "69655" } };
	}

	/**
	 * 药品批次核对
	 */
	@DataProvider(name = "check_batchAction")
	public static Object[][] check_batchAction() {
		return new Object[][] {
				// {"orderNumber","batchId"}
				{ "S5240727359", "69655" } };
	}
	
	
	/**
	 * 微医-退款
	 * */
	@DataProvider(name="refundAction")
	public static Object[][] refundAction() {
		return new Object[][] {
			//订单状态只有已取货，微医渠道可退款：{"meta":{"code":"200","message":"success","success":true},"data":null}
			//订单状态为已取货的非微医渠道：{"meta":{"code":"200","message":"该渠道订单不可调用此接口","success":false}
			//{"S2262857364"}
			//微医渠道。
		//	{"S2262857364"}
		//	{"S0233195842"}
			{"S9011025578"}
			

		};
	}
	
	@DataProvider(name="refund_skuAction")
	public static Object[][] refund_skuAction() {
		return new Object[][] {
			{"S0233195842"}
		};
	}

}
